#include "kernel.h"
#include "kernel_id.h"
#include "ecrobot_interface.h"
#include "../leJOS_EV3/src/ev3/ninja/led.h"

DeclareTask(CheckDistance);
DeclareTask(Motors);
DeclareCounter(SysTimerCnt);

void user_1ms_isr_type2(void) {
    SignalCounter(SysTimerCnt);
}

static U32 distance = 255;


TASK(CheckDistance)
{
    ecrobot_init_sonar_sensor(EV3_PORT_S4);
    led_set(LED_BOTH, LED_ORANGE);
    distance = ecrobot_get_sonar_sensor(EV3_PORT_S4);
    if(distance <= )/* Set a reasonable distance value. */
    {
      led_set(LED_BOTH, LED_RED);
      /* Make the Robot turn 180° when he detects an object in his way.
       Place your code under this comment. */
      
    }
    TerminateTask();
}


TASK(Motors)
{
    led_set(LED_BOTH, LED_GREEN);
    /* Make the Robot drive straight forward.
     Speed 40 is a good value here.
     Place your code under this comment.*/
     
    TerminateTask();
}
